#include <Window.h>
#include <String.h>
#include <netdb.h>
#include "TTTView.h"

class TTTWindow : public BWindow
{
public:
	TTTWindow(int32 *socket, const char *opponent, int32 usermark, BList *list);
	
	virtual bool QuitRequested();
	virtual void Quit();
	virtual void MessageReceived(BMessage *msg);
	void MarkSquare(int32 which);
	void Disconnected();
private:
	void UpdateTitle();
	int32 *fSocket;
	TTTView *fView;
	bool fTurn;
	int32 fUserMark;
	BString fOpponent;
	BList *fWindowList;
};